> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/chainstack-platform-api-v2-list-all-nodes",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List all nodes with the Chainstack Platform API v2

> List every blockchain node in your Chainstack organization using the Platform API v2. Send a GET request to /v2/nodes/ for the paginated node list.



## OpenAPI

````yaml get /v2/nodes/
openapi: 3.0.3
info:
  x-logo:
    url: https://chainstack.com/assets/docs/api-docs-logo.svg
    backgroundColor: '#F5F8FC'
    altText: Chainstack
  title: 💙 CHAINSTACK PLATFORM API
  version: v2
  contact:
    name: API Support
    email: support@chainstack.com
  description: >
    A set of API endpoints to operate and manage the platform resources.<br>

    See also a [quick API
    tutorial](https://docs.chainstack.com/reference/quick-tutorial).
servers:
  - url: https://api.chainstack.com
    description: API endpoint
security: []
paths:
  /v2/nodes/:
    get:
      tags:
        - Node V2
      summary: List all nodes
      description: List all nodes in the networks your organization is part of.
      operationId: listAllNodesV2
      parameters:
        - $ref: '#/components/parameters/NodeOrdering'
        - $ref: '#/components/parameters/Pagination'
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Pagination'
                  - type: object
                    properties:
                      results:
                        type: array
                        items:
                          $ref: '#/components/schemas/NodeV2'
              examples:
                list:
                  value:
                    count: 1
                    next: null
                    previous: null
                    results:
                      - id: ND-123-456-789
                        name: My Ethereum node
                        network: mainnet
                        protocol: ethereum
                        project: PR-123-456-789
                        cloud: CC-0001
                        region: us-east-1
                        provider: aws
                        status: running
                        details:
                          api_namespaces:
                            - net
                            - eth
                            - web3
                            - txpool
                            - debug
                          https_endpoint: https://nd-123-456-789.p2pify.com
                          wss_endpoint: wss://ws-nd-123-456-789.p2pify.com
                          beacon_endpoint: https://beacon-nd-123-456-789.p2pify.com
                          graphql_endpoint: https://nd-123-456-789.p2pify.com/graphql
                        blockchain: BC-000-000
          description: ''
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
      security:
        - APIKeyAuthentication: []
components:
  parameters:
    NodeOrdering:
      name: order_by
      required: false
      in: query
      description: |
        Which field to use when ordering the results.
        <br> Use the `-` prefix to perform descending ordering (`-name`).
      schema:
        type: string
        enum:
          - name
          - created_at
    Pagination:
      name: page
      required: false
      in: query
      description: A page number within the paginated result set.
      schema:
        type: integer
  schemas:
    Pagination:
      type: object
      properties:
        count:
          type: integer
          example: 123
          description: Number of the objects in the paginated results.
        next:
          type: string
          nullable: true
          description: Link to the next page.
        previous:
          type: string
          nullable: true
          description: Link to the previous page.
        results:
          type: array
          items:
            type: object
    NodeV2:
      type: object
      required:
        - id
        - name
        - network
        - protocol
        - project
        - cloud
        - region
        - provider
        - status
        - details
        - blockchain
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          description: Name of the node.
        network:
          type: string
          readOnly: true
          description: Network name.
        protocol:
          type: string
          readOnly: true
          description: Protocol name.
        project:
          type: string
          description: ID of the project.
        cloud:
          type: string
          description: ID of the cloud.
        region:
          type: string
          readOnly: true
          description: Cloud region.
        provider:
          type: string
          readOnly: true
          description: Cloud provider.
        status:
          type: string
          readOnly: true
          description: Status of the node.
        details:
          type: object
          readOnly: true
          description: Protocol-specific attributes.
        blockchain:
          type: string
          description: Blockchain identifier.
          example: BC-000-000
  responses:
    UnauthorizedError:
      description: Authentication credentials were missing or incorrect.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
    ForbiddenError:
      description: The request is not allowed with the current permissions.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
  securitySchemes:
    APIKeyAuthentication:
      type: http
      scheme: bearer
      description: >
        Chainstack API uses [API
        keys](https://docs.chainstack.com/reference/platform-api-getting-started)
        to authenticate requests. You can view and manage your API keys in the
        platform UI.

        Your API keys carry many privileges, so be sure to keep them secure!

        Provide your API key as the `Authorization` header. The value of the
        header consists of `Bearer` prefix and secret key generated through the
        platform UI.


        ```bash

        curl -X GET 'https://api.chainstack.com/v1/organization/' \

        --header 'Authorization: Bearer
        FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'

        ```


        All API requests must be made over HTTPS.

````